complexType "InterestLegCalculationPeriodDates"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | effectiveDate?, terminationDate?, interestLegResetDates?, interestLegPaymentDates?
</...>

Content Model Elements (4):

  effectiveDate (in interestLegCalculationPeriodDates), interestLegPaymentDates, | interestLegResetDates, terminationDate (in interestLegCalculationPeriodDates)

All Direct / Indirect Based Elements (1):

  interestLegCalculationPeriodDates

Known Usage Locations

- As direct type of elements (1):
  interestLegCalculationPeriodDates

Annotation
Component that holds the various dates used to specify the interest leg of the return swap. It is used to define the InterestPeriodDates identifyer.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="InterestLegCalculationPeriodDates"> <xsd:sequence> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"/> <xsd:element minOccurs="0" name="interestLegResetDates" type="InterestLegResetDates"/> <xsd:element minOccurs="0" name="interestLegPaymentDates" type="AdjustableRelativeOrPeriodicDates2"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="required"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | required

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="required"/>

Content Element Detail (all declarations; defined within this component only; 4/4)
effectiveDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the effective date of the return swap. This global element is valid within the return swaps namespace. Within the FpML namespace, another effectiveDate global element has been defined, that is different in the sense that it does not propose the choice of refering to another date in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableOrRelativeDate"/>

interestLegPaymentDates

  Type: | AdjustableRelativeOrPeriodicDates2, complex content

  Specifies the payment dates of the interest leg of the swap. When defined in relation to a date specified somewhere else in the document (through the relativeDates component), this element will typically point to the payment dates of the equity leg of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interestLegPaymentDates" type="AdjustableRelativeOrPeriodicDates2"/>

interestLegResetDates

  Type: | InterestLegResetDates, complex content

  Specifies the reset dates of the interest leg of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interestLegResetDates" type="InterestLegResetDates"/>

terminationDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the termination date of the return swap. This global element is valid within the return swaps namespace. Within the FpML namespace, another terminationDate global element has been defined, that is different in the sense that it does not propose the choice of refering to another date in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="terminationDate" type="AdjustableOrRelativeDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.